BimpHelp

Stock transfers: Bimp API methods

Bimp API methods for the “Stock transfers” resource (/org2/movementOfInventories/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/movementOfInventories/api-readA request to obtain detailed information for a particular movement of inventories document
POST /org2/movementOfInventories/api-readListA request to view a list of movement of inventories documents
POST /org2/movementOfInventories/api-createA request to create a new movement of inventories document
POST /org2/movementOfInventories/api-updateA request to update an existing movement of inventories document
POST /org2/movementOfInventories/api-cancelCancel a movement of inventories document

api-read

POST /org2/movementOfInventories/api-read

A request to obtain detailed information for a particular movement of inventories document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yes

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a movement of inventories document
numberstringThe number of the movement of inventories document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
archivedboolean
operationTypenumber
toWarehousestring (uuid)
fromWarehousestring (uuid)
authorstring (uuid)
organizationstring (uuid)
statusnumber
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/movementOfInventories/api-readList

A request to view a list of movement of inventories documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
filtersobject
filters.namestring
filters.commentstring
filters.showArchivedboolean
filters.organizationobject[]
filters.organization[].uuidstring (uuid)yes
filters.toWarehouseobject[]
filters.toWarehouse[].uuidstring (uuid)yes
filters.fromWarehouseobject[]
filters.fromWarehouse[].uuidstring (uuid)yes
filters.authorobject[]
filters.author[].uuidstring (uuid)yes
filters.operationTypeobject[]
filters.operationType[].uuidnumberyes
filters.statusobject[]
filters.status[].uuidnumberyes
filters.dateobject[]

Response: data field

FieldTypeDescription
rowsobject[]
rows[].uuidstring (uuid)A unique uuid key for a movement of inventories document
rows[].numberstringThe number of the movement of inventories document
rows[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
rows[].commentstringAn optional text field for any additional notes or comments related to the document
rows[].archivedboolean
rows[].operationTypenumber
rows[].toWarehousestring (uuid)
rows[].fromWarehousestring (uuid)
rows[].authorstring (uuid)
rows[].organizationstring (uuid)
rows[].statusnumber
rows[].processingbooleanAn informational flag marking the document as related to tolling (processing)
rows[].counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
totalnumber
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/movementOfInventories/api-create

A request to create a new movement of inventories document

Request body (JSON)

FieldTypeRequiredDescription
namestringDocument name
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)yesA unique identifier for the Author, obtainable from the /user/api-readList request
responsibleEmployeestringA unique identifier for the Employee, obtainable from the /employee/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
fromWarehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
toWarehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
operationTypenumberyesOperation type (0 - To warehouse, 1 - On the way, 2 - Cost price)
responsibleSenderstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
responsibleReceiverstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusnumberDocument status (0 - Completed, 1 - Application)
baseDocumentstring (uuid)UUID of base document
commentstringAn optional text field for any additional notes or comments related to the document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].countnumberyesA numerical value representing the quantity of the product
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].invoicestring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"author":"00000000-0000-0000-0000-000000000000","fromWarehouse":"00000000-0000-0000-0000-000000000000","toWarehouse":"00000000-0000-0000-0000-000000000000","operationType":1}'

api-update

POST /org2/movementOfInventories/api-update

A request to update an existing movement of inventories document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesDocument UUID
namestringDocument name
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
responsibleEmployeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
fromWarehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
toWarehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
operationTypenumberOperation type (0 - To warehouse, 1 - On the way, 2 - Cost price)
responsibleSenderstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
responsibleReceiverstring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusnumberDocument status (0 - Completed, 1 - Application)
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
processingbooleanAn informational flag marking the document as related to tolling (processing)
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
baseDocumentstring (uuid)UUID of base document
commentstringAn optional text field for any additional notes or comments related to the document
productsobject[]
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].countnumberyesA numerical value representing the quantity of the product
products[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].invoicestring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
products[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/movementOfInventories/api-cancel

Cancel a movement of inventories document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the movement of inventories document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/movementOfInventories/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.